Program Pack12;

Var
  A: packed array [ 0..13 ] of 0..120;
  i: Integer;

begin
  for i:= 0 to 13 do
    A [ i ]:= 65 + 2 * i;
  for i:= 0 to 13 do
    if A [ i ] <> 65 + 2 * i then
      begin
        writeln ( 'failed (', i, ', ', A [ i ], ')' );
        Halt ( 1 )
      end (* if *);
  writeln ( 'OK' )
end.
